SUP-SYNC-BACK-MAILDIR(1)

NAME

sup-sync-back-maildir - Export Xapian entries to Maildir sources on disk

SYNOPSIS

sup-sync-back-maildir [options] [source uri...]

DESCRIPTION

This script parses the Xapian entries for a given Maildir source and renames (changes maildir flags) e-mail files on disk according to the labels stored in the index. It will export all the changes you made in Sup to your Maildirs so that they can be propagated to your IMAP server with e.g. offlineimap.

The script also merges some Maildir flags into Sup such as R (replied) and P (passed, forwarded), for instance suppose you have an e-mail file like this: foo_bar:2,FRS (flags are favorite, replied, seen) and its Xapian entry has labels 'starred', the merge operation will add the 'replied' label to the Xapian entry.

If you choose not to merge (-m) you will lose information ('replied'), and in the previous example the file will be renamed to foo_bar:2,FS.

Running this script is strongly recommended when setting the "sync_back_to_maildir" option from false to true in config.yaml or changing the "sync_back" flag to true for a source in sources.yaml.

If no source is given, the default behavior is to sync back all Maildir sources marked as usual and that have not disabled sync back using the configuration parameter sync_back = false in sources.yaml.

OPTIONS

-n, --no-confirm
    Don't ask for confirmation before synchronizing

-m, --no-merge
    Don't merge new supported Maildir flags (R and P)

-l, --list-sources
    List your Maildir sources and exit

-u, --unusual-sources-too
    Sync unusual sources too if no specific source information is given

--version
    Print version and exit

-h, --help
    Show brief help message

FILES

$HOME/.sup/sources.yaml
    Configuration file for Sup mail sources

SEE ALSO

sup(1), sup-add(1), sup-config(1), sup-dump(1), sup-sync(1), sup-tweak-labels(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.